Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#823 java.io.FileNotFoundException: /home/duncan/.freemind/auto.p

_FreeMind_0.9.0
closed
5
2011-05-16
2009-03-12
Duncan Lithgow
No

My system:
freemind 0.9.0~rc1-1 from http://eric.lavar.de/comp/linux/debian/ experimental/
sun-java6-jre 6-12-0ubuntu1
ubuntu 9.04

Freemind fails to start, I have deleted a previous .freemind home user directory but that made no difference. details from cli are below.

duncan@duncan-laptop:~$ freemind
Checking Java Version...
java.io.FileNotFoundException: /home/duncan/.freemind/auto.properties (No such file or directory)
at java.io.FileInputStream.open(Native Method)
at java.io.FileInputStream.<init>(FileInputStream.java:106)
at freemind.main.FreeMindStarter.readUsersPreferences(FreeMindStarter.java:136)
at freemind.main.FreeMindStarter.main(FreeMindStarter.java:57)
Panic! Error while loading default properties.
Mar 12, 2009 10:30:53 PM freemind.main.Resources logException
SEVERE: An exception occured:
org.jibx.runtime.JiBXException: Binding information for class freemind.controller.actions.generated.instance.XmlAction must be recompiled with current binding compiler (compiled with jibx_1_0_2, runtime is jibx_1_1_6a)
at org.jibx.runtime.BindingDirectory.getFactoryFromName(Unknown Source)
at org.jibx.runtime.BindingDirectory.getFactory(Unknown Source)
at freemind.common.XmlBindingTools.getInstance(XmlBindingTools.java:62)
at freemind.modes.StylePatternFactory.loadPatterns(StylePatternFactory.java:66)
at freemind.modes.mindmapmode.MindMapController.loadPatterns(MindMapController.java:597)
at freemind.modes.mindmapmode.MindMapController.loadPatternActions(MindMapController.java:520)
at freemind.modes.mindmapmode.MindMapController.createStandardActions(MindMapController.java:466)
at freemind.modes.mindmapmode.MindMapController.<init>(MindMapController.java:388)
at freemind.modes.mindmapmode.MindMapMode.createModeController(MindMapMode.java:61)
at freemind.modes.mindmapmode.MindMapMode.init(MindMapMode.java:56)
at freemind.modes.ModesCreator.getMode(ModesCreator.java:93)
at freemind.controller.Controller.createNewMode(Controller.java:574)
at freemind.main.FreeMind.init(FreeMind.java:271)
at freemind.main.FreeMind.main(FreeMind.java:712)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at freemind.main.FreeMindStarter.main(FreeMindStarter.java:64)

STDERR: Patterns not loaded:java.lang.NullPointerExceptionMar 12, 2009 10:30:56 PM freemind.main.Resources logException
SEVERE: An exception occured:
java.lang.NullPointerException
at freemind.common.XmlBindingTools.createUnmarshaller(XmlBindingTools.java:83)
at freemind.common.XmlBindingTools.unMarshall(XmlBindingTools.java:154)
at freemind.modes.StylePatternFactory.loadPatterns(StylePatternFactory.java:66)
at freemind.modes.mindmapmode.MindMapController.loadPatterns(MindMapController.java:597)
at freemind.modes.mindmapmode.MindMapController.loadPatternActions(MindMapController.java:541)
at freemind.modes.mindmapmode.MindMapController.createStandardActions(MindMapController.java:466)
at freemind.modes.mindmapmode.MindMapController.<init>(MindMapController.java:388)
at freemind.modes.mindmapmode.MindMapMode.createModeController(MindMapMode.java:61)
at freemind.modes.mindmapmode.MindMapMode.init(MindMapMode.java:56)
at freemind.modes.ModesCreator.getMode(ModesCreator.java:93)
at freemind.controller.Controller.createNewMode(Controller.java:574)
at freemind.main.FreeMind.init(FreeMind.java:271)
at freemind.main.FreeMind.main(FreeMind.java:712)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at freemind.main.FreeMindStarter.main(FreeMindStarter.java:64)
Mar 12, 2009 10:30:57 PM freemind.modes.ModesCreator getMode
SEVERE: Mode freemind.modes.mindmapmode.MindMapMode could not be loaded.
Mar 12, 2009 10:30:57 PM freemind.main.Resources logException
SEVERE: An exception occured:
java.lang.NullPointerException
at freemind.common.XmlBindingTools.createUnmarshaller(XmlBindingTools.java:83)
at freemind.modes.mindmapmode.hooks.MindMapHookFactory.actualizePlugins(MindMapHookFactory.java:161)
at freemind.modes.mindmapmode.hooks.MindMapHookFactory.searchFor(MindMapHookFactory.java:118)
at freemind.modes.mindmapmode.hooks.MindMapHookFactory.getPossibleNodeHooks(MindMapHookFactory.java:104)
at freemind.modes.mindmapmode.MindMapController.createNodeHookActions(MindMapController.java:715)
at freemind.modes.mindmapmode.MindMapController.<init>(MindMapController.java:393)
at freemind.modes.mindmapmode.MindMapMode.createModeController(MindMapMode.java:61)
at freemind.modes.mindmapmode.MindMapMode.init(MindMapMode.java:56)
at freemind.modes.ModesCreator.getMode(ModesCreator.java:93)
at freemind.controller.Controller.createNewMode(Controller.java:574)
at freemind.main.FreeMind.init(FreeMind.java:271)
at freemind.main.FreeMind.main(FreeMind.java:712)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at freemind.main.FreeMindStarter.main(FreeMindStarter.java:64)

STDERR: Exception in thread "AWT-EventQueue-0"
STDERR: java.lang.NullPointerException
STDERR: at freemind.controller.Controller.getModeController(Controller.java:320)
STDERR: at freemind.main.FreeMind.createModeController(FreeMind.java:930)
STDERR: at freemind.main.FreeMind.access$100(FreeMind.java:82)
STDERR: at freemind.main.FreeMind$4.run(FreeMind.java:730)
STDERR: at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
STDERR: at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
STDERR: at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
STDERR: at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
STDERR: at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
STDERR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
STDERR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
STDERR: at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

... and here I kill it because nothing happens.

Discussion

  • Hi,

    seem to come from the wrong jibx version:
    jibx_1_0_2, runtime is jibx_1_1_6a
    Can you downgrade this version?
    HTH, Chris

     
  • Duncan Lithgow
    Duncan Lithgow
    2009-03-12

    Chris, I suppose I could downgrade jibx with a bit of help if that helps you understand the problem. But this is the version of jibx shipped with Ubuntu 9.04, so freemind will need to work with it anyway. What would you prefer i do?

     
  • Hi,

    first it is important to see, whether or not this causes your problems. So, please downgrade (perhaps by downloading the .zip and by exchanging the jibx jars temporaryly by hand).

    Thanks, Chris

     
    • assigned_to: dpolivaev --> christianfoltin
     
  • Hi,

    any results?

    Chris

     
    • status: open --> pending
     
    • status: pending --> closed
     
  • This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 730 days (the time period specified by
    the administrator of this Tracker).